HDF5 C++ API Reference Manual

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

# H5::VarLenType Class Reference

`#include <H5VarLenType.h>`

Inheritance diagram for H5::VarLenType:

List of all members.

## Public Member Functions
| VarLenType (const DataType *base_type)
| Creates a new variable-length datatype based on the specified base_type.
virtual H5std_string | fromClass () const
| VarLenType (const VarLenType &original)
| Copy constructor: makes a copy of the original VarLenType object.
| VarLenType (const hid_t existing_id)
| Creates an VarLenType object using an existing id.
virtual | ~VarLenType ()
| Properly terminates access to this datatype.
## Protected Member Functions
| VarLenType ()
| Default constructor: Creates a stub variable-length datatype.

## Constructor & Destructor Documentation

H5::VarLenType::VarLenType | ( | const DataType * | base_type | ) |

Creates a new variable-length datatype based on the specified base_type.

Parameters:

  | base_type | - IN: Pointer to existing datatype

Exceptions:

  | H5::DataTypeIException |

H5::VarLenType::VarLenType | ( | const VarLenType & | original | ) |

Copy constructor: makes a copy of the original VarLenType object.

H5::VarLenType::VarLenType | ( | const hid_t | existing_id | ) |

Creates an VarLenType object using an existing id.

Parameters:

  | existing_id | - IN: Id of an existing datatype

Exceptions:

  | H5::DataTypeIException |

H5::VarLenType::~VarLenType | ( |  | ) | `[virtual]`

Properly terminates access to this datatype.

H5::VarLenType::VarLenType | ( |  | ) | `[protected]`

Default constructor: Creates a stub variable-length datatype.

## Member Function Documentation

virtual H5std_string H5::VarLenType::fromClass | ( |  | ) | const`[inline, virtual]`

Reimplemented from H5::DataType.